# Imports

Imports let you asynchronously import SKUs, prices, stock items, and many other resources into your organization's environment. At the moment, two types of `format` are available when importing resources: **JSON** (default) and **CSV**.

Imports can be managed via API or using the related back-office app in the *Apps* section of the admin dashboard.

Each element of the `inputs` list contains the resource attributes and relationships.

{% hint style="info" %}
You can use as `inputs` any output you get from the [exports API](/core-api-reference/exports.md).
{% endhint %}

After creating an import, you can poll the `status` attribute to check the import progress until it's completed. Then, you can download the imported data using the link exposed in the `attachment_url` attribute. Import errors and warnings (if any) are reported through the `errors_count`, `errors_log`, `warnings_count`, and `warnings_log` attributes.

{% hint style="warning" %}
Even if still returned by the API, `cleanup_records` and `destroyed_count` attributes are deprecated. If you need to remove some resources and their associated relationships in batches we strongly recommend using [cleanups](/core-api-reference/cleanups.md).
{% endhint %}

{% hint style="warning" %}
Some automations normally triggered on resources' creation or update (e.g. webhooks, callbacks, and most event-driven communications) might not be enabled when using imports. Read [here](/core/importing-resources.md#disabled-automations) for more information.
{% endhint %}

<details>

<summary>How-to</summary>

Check the related [guide](/core/importing-resources.md) for the complete list of importable resources and any further information about the import process (e.g. import limits, unique keys, parent resources, and examples).

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/core-api-reference/imports.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
